<?php

require_once("../includes/bootstrap2.php");

if (!headers_sent())
    ob_start("ob_gzhandler");
$sesion = new sesion(); // inicio la sesion
if (!isset($_REQUEST['grupo']) || trim($_REQUEST['grupo']) == '0x') {
    $responce->page = 0;
    $responce->total = 0;
    $responce->records = 0;
    echo json_encode($response);
    exit;
}

$academia = bootstrap::initBd($sesion->get('anio'));
$configuracion = $sesion->get('configuracion');
$nombre_grupo = $configuracion['nombres_grupos'];


$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction

$grupo = (isset($_REQUEST['grupo']) && trim($_REQUEST['grupo']) != '') ? $_REQUEST['grupo'] : '';

if (!$sidx)
    $sidx = 1;
$totalrows = isset($_REQUEST['totalrows']) ? $_REQUEST['totalrows'] : false;

if ($totalrows) {
    $limit = $totalrows;
}

$wh = "";

$searchOn = Strip($_REQUEST['_search']);
if ($searchOn == 'true') {
    $searchstr = Strip($_REQUEST['filters']);
    $jsona = json_decode($searchstr, true);
    $wh = " AND " . getStringForGroup($jsona);
}
$wh2 = '';
if ($grupo != '') {
    $wh2.=" AND aca_grupos.cod_grupo ='$grupo' ";
}
     
$tbl = "aca_estudiantesxgrupos
    INNER JOIN aca_estudiantes 
        ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
    INNER JOIN aca_grupos 
        ON (aca_estudiantesxgrupos.cod_grupo = aca_grupos.cod_grupo)";

$cons = "SELECT COUNT(*) FROM " . $tbl . " WHERE 1=1 $wh2 " . $wh;

$academia->instruccion($cons);
$row = $academia->extraer_registro();
$count = $row['count'];
$academia->liberar();
if ($count > 0) {
    $total_pages = ceil($count / $limit);
} else {
    $total_pages = 0;
}

if ($page > $total_pages)
    $page = $total_pages;

$start = $limit * $page - $limit; // do not put $limit*($page - 1)

if ($start < 0)
    $start = 0;

$SQL = "SELECT DISTINCT aca_estudiantes.cod_estudiante,aca_estudiantes.numedocumento_est, lcase(concat_ws(' ',aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) as estudiante FROM " . $tbl . " WHERE 1=1 $wh2 " . $wh . " ORDER BY " . $sidx . " " . $sord . " LIMIT " . $start . " , " . $limit;

$academia->instruccion($SQL);
$responce->page = $page;
$responce->total = $total_pages;
$responce->records = $count;
$responce->sql = $SQL;
$i = 0;
while ($row = $academia->extraer_registro()) {
    $responce->rows[$i]['id'] = $row[cod_estudiante];
    $responce->rows[$i]['cell'] = array(
        $row['numedocumento_est'],
        ucwords($row['estudiante'])
    );
    $i++;
}

echo json_encode($responce);
$academia->cerrar();
?>

